# fbsql_fetch_object

(PHP 4 >= 4.0.6, PHP 5, PHP 7)

fbsql_fetch_object — Fetch a result row as an object

### Description

fbsql_fetch_object ( resource `$result` ) : object

fbsql_fetch_object() is similar to fbsql_fetch_array(), with one difference - an object is returned, instead of an array. Indirectly, that means that you can only access the data by the field names, and not by their offsets (numbers are illegal property names).

Speed-wise, the function is identical to fbsql_fetch_array(), and almost as quick as fbsql_fetch_row() (the difference is insignificant).

### Parameters

`result`

  A result identifier returned by fbsql_query() or fbsql_db_query().

### Return Values

Returns an object with properties that correspond to the fetched row, or `FALSE` if there are no more rows.

### Examples

Example #1 fbsql_fetch_object() example

`<?php
fbsql_connect($host, $user, $password);
$result = fbsql_db_query("database", "select * from table");
while ($row = fbsql_fetch_object($result)) {
echo $row->user_id;
echo $row->fullname;
}
fbsql_free_result($result);
?>`

### See Also

- fbsql_fetch_array() - Fetch a result row as an associative array, a numeric array, or both
- fbsql_fetch_row() - Get a result row as an enumerated array
- fbsql_fetch_assoc() - Fetch a result row as an associative array